sayren Docs
카테고리

카테고리 상세 조회

GET
/v1/categories/{categoryId}
AuthorizationBearer <token>

userToken(계정 스코프) 또는 storeToken(스토어 스코프)

In: header

Path Parameters

categoryId*string

Response Body

application/json

curl -X GET "https://example.com/v1/categories/string"
{  "meta": {    "status": 200,    "code": "OK",    "message": "OK",    "isSuccess": true  },  "data": {    "categoryId": "string",    "storeId": "string",    "name": "string",    "parentId": "string",    "path": "string",    "depth": 1,    "leaf": true,    "sortOrder": 0,    "visible": true,    "showPc": true,    "showMobile": true,    "productSort": "RECENT",    "metaTitle": "string",    "metaDescription": "string",    "metaKeywords": "string",    "createdAt": "string",    "updatedAt": "string",    "fullPath": "string",    "ancestors": [      {        "categoryId": "string",        "storeId": "string",        "name": "string",        "parentId": "string",        "path": "string",        "depth": 1,        "leaf": true,        "sortOrder": 0,        "visible": true,        "showPc": true,        "showMobile": true,        "productSort": "RECENT",        "metaTitle": "string",        "metaDescription": "string",        "metaKeywords": "string",        "createdAt": "string",        "updatedAt": "string"      }    ],    "childCount": 0  },  "error": null}